import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { PaySetVO, PaySetForm, PaySetQuery } from '@/api/order/paySet/types';

/**
 * 查询支付方式类型列表
 * @param query
 * @returns {*}
 */

export const listPaySet = (query?: PaySetQuery): AxiosPromise<PaySetVO[]> => {
  return request({
    url: '/system/paySet/list',
    method: 'get',
    params: query
  });
};

/**
 * 查询支付方式类型详细
 * @param id
 */
export const getPaySet = (id: string | number): AxiosPromise<PaySetVO> => {
  return request({
    url: '/system/paySet/' + id,
    method: 'get'
  });
};

/**
 * 新增支付方式类型
 * @param data
 */
export const addPaySet = (data: PaySetForm) => {
  return request({
    url: '/system/paySet',
    method: 'post',
    data: data
  });
};

/**
 * 修改支付方式类型
 * @param data
 */
export const updatePaySet = (data: PaySetForm) => {
  return request({
    url: '/system/paySet',
    method: 'put',
    data: data
  });
};

/**
 * 删除支付方式类型
 * @param id
 */
export const delPaySet = (id: string | number | Array<string | number>) => {
  return request({
    url: '/system/paySet/' + id,
    method: 'delete'
  });
};

export function changeStatus(id: string | number, isShow: string) {
  const data = {
    id,
    isShow
  };
  return request({
    url: '/system/paySet/changeStatus',
    method: 'put',
    data: data
  });
}
